Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote
Class Version

    java.lang.Object
      com.plumtree.remote.Version

public class Version
extends java.lang.Object

Provides information about the IDK build version, such as the major and minor version numbers of the build. The printable string includes additional information, such as the specific changelist number and the date of the build.

Method Summary
`static Version` | `getEDKVersion()` Returns a `Version` object that represents the current IDK version.
`int` | `getMajorVersionNumber()` Returns the IDK major version number.
`int` | `getMinorVersionNumber()` Returns the IDK minor version number.
`int` | `getServicePackVersionNumber()` Returns the IDK service pack version number.
`java.lang.String` | `toString()` Returns the IDK version as a printable string, including the major, minor, and service pack version numbers, the source code changelist number, and the date of the build.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getEDKVersion

    public static Version getEDKVersion()

  Returns a `Version` object that represents the current IDK version. A printable format can be obtained using the `toString` method.

  Returns:
    a `Version` object that represents the current IDK version

### getMajorVersionNumber

    public int getMajorVersionNumber()

  Returns the IDK major version number.

  Returns:
    the IDK major version number

### getMinorVersionNumber

    public int getMinorVersionNumber()

  Returns the IDK minor version number.

  Returns:
    the IDK minor version number

### getServicePackVersionNumber

    public int getServicePackVersionNumber()

  Returns the IDK service pack version number.

  Returns:
    the EDK service pack version number

### toString

    public java.lang.String toString()

  Returns the IDK version as a printable string, including the major, minor, and service pack version numbers, the source code changelist number, and the date of the build.

  The string will have the following format:

  "major.minor.servicepack_changelist (date of build)"

  For example, "5.2.0_181354 (May 20 2005)"

  Returns:
    the IDK version as a printable string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.